using ProjectItCompany.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectItCompany.Repositories.Implementations;

internal class ContractRepository : IContractRepository
{
    public void CreateContract(Contract contract)
    {

    }

    public void DeleteContract(int id)
    {
        
    }

    public IEnumerable<Contract> ReadContract(DateTime? dateForm = null, DateTime? dateTo = null, decimal? typeProject = null, int? customerId = null)
    {
        return [];
    }
}
